@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  border: none;
  outline: none;
  scroll-behavior: smooth;
  font-family: 'Poppins','sans-serif';
}

:root{
  --bg-color-light-mode:#fffdfd;
  --second-bg-color:#112e42;
  --text-color:#ededed;
  --main--color:#00abf0;
}

.light-mode {
    background-color: var(--bg-color-light-mode);
    color: black;
}

/* Dark Mode Styles */
.dark-mode {
    background-color: black;
    color: white;
}

body{
   user-select: none;
}

/* Light Mode Styles */
.light-mode .headernav{
	position: fixed;
	top: 0;
	left: 0; 
	width: 100%;
	padding: 1rem 9%;
	background-color: white;
	display: flex;
	justify-content: space-between;
	align-items: center;
	color: black;
	z-index: 100;
	transition: .3s;
	border-bottom: 2px Solid #112e42;

}

/* Dark Mode Styles */
.dark-mode .headernav{
	position: fixed;
	top: 0;
	left: 0; 
	width: 100%;
	padding: 1rem 9%;
	background-color: black;
	display: flex;
	justify-content: space-between;
	align-items: center;
	z-index: 100;
	transition: .3s; 
	border-bottom: 1px Solid black;

}


#modeToggle{
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    font: inherit;
    cursor: pointer;
    outline: none; /* Remove the focus border */
    /* Add any additional styles you want for your plain button */
}
  
.headernav.sticky{
	background: var(--bg-color);
}
  
.light-mode .logo{
	font-size: 1.5rem;
	color: blue;
	font-weight: 600;
}

.dark-mode .logo{
	font-size: 1.5rem;
	color: var(--text-color);
	font-weight: 600;
}
  
.light-mode .navbar a {
	font-size: 1.0rem;
	color:black;
	font-weight: 100;
	margin-left: 1.4rem;
	transition: .3s;
	text-decoration: none;
}

.dark-mode .navbar a {
	font-size: 1.0rem;
	color:white;
	font-weight: 100;
	margin-left: 1.4rem;
	transition: .3s;
}

.navbar a:hover,
.navbar a.active{
    color: var(--main--color);
}
  
#menu-icon {
	font-size: 2.6rem;
	color: var(--text-color);
	cursor: pointer;
	display: none;
}

.container-box{
  margin-top: 55px;
}

.container {
	display: flex;
	flex-wrap: wrap;
}

.box {
	width: 50%;
	padding: 20px;
	box-sizing: border-box;
  height: 500px;
  padding: 10px;
  overflow: auto;
  padding-bottom:40px
}

.box .card{
  box-shadow: 0 4px 8px 0 rgba(81, 5, 223, 0.3);
  width: 100%;
  background-color: white;
}


.box .inner{
  margin-top: 20px;
  color:black;
  font-size: 14px;
  padding:5px;display:flex;justify-content:space-between;align-items:center;
}

.login-form{

  background-color: #fff;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);

  max-width: 500px;
  width: 100%; 
  margin: 0 auto;
}

.login-form button[type="submit"]
{
    border: 1px solid rgb(59, 59, 59);
    background: transparent;
    padding: 1px;
    border-radius: 2px;
    width: 100%;
    outline: none;
    height: 35px;
    color: white;
    background-color: blue;
    font-size: 19px;
    width: 60px;
}

.login-form  button[type="submit"]:hover{
  color: #f5f9fc;
  background: green;
  border: 1px solid rgb(71, 70, 70);
  cursor: pointer;
}

.editp-container{
  margin-top: 20px;

}

.search-friends{
  padding: 40px;
}

/*Friends styling */
.friendship {
  display: none;
  width: 100%;
  margin-top: 10px;
  padding: 20px;
  background-color: #f4f4f4;
  border-radius: 5px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.friend button{
  margin-top:20px;width:30%;height:40px;border:1px solid black;padding:7px;font-size:17px
}

.friendship h3 {
  margin-bottom: 10px;
  padding-top: 2px;
  color: #333;
}

/* Style for the content inside the boxes */
.friendship p {
  font-size: 16px;
  line-height: 1.5;
}

/*End friendhip styling*/

input[type="text"],[type="password"],[type="search"],[type="file"],[type="number"],[type="email"]
{
    border: 1px solid rgb(82, 80, 80);
    background: transparent;
    border-radius: 2px;
    padding: 7px;
    width: 100%;
    outline: none;
    height: 35px;
    color: black;
    background-color: rgb(248, 245, 233);
    font-size: 14px;
}

select
{
    border: 1px solid rgb(82, 80, 80);
    background: transparent;
    border-radius: 2px;
    padding: 7px;
    width: 100%;
    outline: none;
    height: 35px;
    color: black;
    background-color: rgb(248, 245, 233);
    font-size: 14px;
}

button[type="submit"]
{
    border: 1px solid rgb(59, 59, 59);
    background: transparent;
    padding: 1px;
    border-radius: 2px;
    width: 100%;
    outline: none;
    height: 35px;
    color: black;
    background-color: blue;
    font-size: 24px;
    width: 60px;
}

button[type="submit"]:hover{
  color: #f5f9fc;
  background: green;
  border: 1px solid rgb(71, 70, 70);
  cursor: pointer;
}

section{
	min-height: 85vh;
	padding: 5rem 9% 2rem;
}



.story{
  display: flex;
  justify-content: center;
}

.story .box {
  width: 200px;
  height: 300px;
  margin-right: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  border: 1px solid grey;
}

.story .box img {
  max-width: 100%;
  max-height: 100%;
}




.profile{
  margin-left: 100px;
 
  padding: 4px;
}
.profile img{
  border-radius: 50%;
}

.back-arrow{
  box-shadow: 0 4px 8px 0 rgba(81, 5, 223, 0.3);
  border-radius:50%;
  position: fixed;
  text-align: center; 
  top: 15%; left: 20px; background-color: white; width: 40px; height: 40px;line-height: 40px;
  display: flex;justify-content: center ; align-items: center;

}


/* styles.css */
.like-comment {
  display: flex;
  padding-bottom: 10px;
}

.box-1 {
  flex: 1; padding: 5px; margin: 0 10px;

  display: flex;
  justify-content: center;
  align-items: center;
}

.box-1 button:hover{
  cursor: pointer;
}



  @media (max-width:1200px) {
    html{
      font-size: 55%;
    }
  }

  @media (max-width:991px) {
    .headernav{
      padding: 2rem 4%;
    }

	body{
		font-size: 16px;
	}

    section{
      padding: 10rem  4% 2rem;
    }
    .home{   
      padding: 0 4%;
    }
  
    .footer{
      padding: 2rem 4%;
    }
  }

 
  /* Media query for responsiveness */
  @media (max-width: 768px) {
    .headernav {
      background: gray;
    }

    .box:first-child {
      display: none;
    }

      
   .box {
    width: 100%;
   
   }

    body{
      font-size: 16px;
    }
    
    #menu-icon {
      display: block; /* Show the hamburger icon on smaller screens */
    }
    
    .navbar {
      position: absolute;
      top: 100%;
      left: -100%;
      width: 100%;
      padding: 1rem 4%;
      background: blue;
      box-shadow: #081b29;
      transition: .25s ease;
      transition-delay: .25s;
    }
	

    .navbar.active{
      left: 0;
      transition-delay: 0;
    }
    
    .navbar a {
      display: block;
	  font-size: 14px;
      margin: 3rem 0;
    }

	.light-mode .navbar a {
		display: block;
		color: white;
		font-size: 14px;
		margin: 3rem 0;/* Add vertical spacing between the links */
	  }

    .back-arrow{
      box-shadow: 0 4px 8px 0 rgba(81, 5, 223, 0.3);
      border-radius:50%;position: fixed;
      align-items: center; text-align: center; 
      top: 9%; left: 20px; background-color: white; width: 40px; height: 40px;line-height: 40px;
    
    }

	  
    
    
  }